Since John Wallace doesn't come in here anymore, I will attempt to help you.

Apparently the software code was written for PPC, not intel chips. So what that means is that you HAVE to use 10.6 snow leopard or older versions of OSX.

And forget about it ever being re-written for Lion. Not going to happen.

If you all have to go to Lion, then you must look for alternate software. Good luck